curl --request POST \
--url https://api.uat.frankie.one/v2/matchlists/{matchlistName}/entries/addEntity \
--header 'Content-Type: application/json' \
--header 'X-Frankie-CustomerID: <x-frankie-customerid>' \
--header 'api_key: <api-key>' \
--data '
{
"entityId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"reasons": [
"<string>"
],
"comment": {
"text": "Update after speaking to customer over the phone directly.",
"entityId": "3fa85f64-5717-4562-b3fc-2c963f66afa6"
}
}
'import requests
url = "https://api.uat.frankie.one/v2/matchlists/{matchlistName}/entries/addEntity"
payload = {
"entityId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"reasons": ["<string>"],
"comment": {
"text": "Update after speaking to customer over the phone directly.",
"entityId": "3fa85f64-5717-4562-b3fc-2c963f66afa6"
}
}
headers = {
"api_key": "<api-key>",
"X-Frankie-CustomerID": "<x-frankie-customerid>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
api_key: '<api-key>',
'X-Frankie-CustomerID': '<x-frankie-customerid>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
entityId: '3fa85f64-5717-4562-b3fc-2c963f66afa6',
reasons: ['<string>'],
comment: {
text: 'Update after speaking to customer over the phone directly.',
entityId: '3fa85f64-5717-4562-b3fc-2c963f66afa6'
}
})
};
fetch('https://api.uat.frankie.one/v2/matchlists/{matchlistName}/entries/addEntity', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"requestId": "01HN9XHZN6MGXM9JXG50K59Q85",
"entry": {
"attributes": [
{
"type": "ENTITY_TYPE",
"value": "<string>"
}
],
"entryId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"entityId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"entityType": "INDIVIDUAL",
"reference": "CERT-BAD-ACTOR-1234-5678",
"reasons": [
"<string>"
],
"state": "ACTIVE",
"batchName": "blocklist.csv",
"createdBy": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedBy": "<string>",
"updatedAt": "2023-11-07T05:31:56Z"
}
}Add an individual entity to a matchlist
Creates an individual entity and its attributes as a new entry in an existing matchlist.
Authorizations
Headers
Your API key provided by FrankieOne
"245c765b124a098d09ef8765...."
Your Customer ID provided by FrankieOne
"12345678-1234-1234-1234-123456789012"
Your Customer Child ID provided by FrankieOne
"87654321-4321-4321-4321-210987654321"
Open string that can be used to define the "channel" the request comes in from. It can potentially be used in routing and risk calculations upon request. Default values that can be used are: api portal smartui Any alphanumeric string is supported though. Anything over 64 characters will be truncated.
If this header parameter is supplied and set to 1, then the request will not wait for the process to finish, and will return a 202 if there are no obvious errors in the input. The request will then run in the background and send a notification back to the customer. See our callback API for details on this.
0, 1 Username provided by API caller
"fred.flintstone@frankieone.com"
Path Parameters
The name of the matchlist.
Body
Used for adding an entity to a matchlist
The entity ID of the entity from which the attributes of this entry will be derived.
"3fa85f64-5717-4562-b3fc-2c963f66afa6"
The entity type of the entity from which the attributes of this entry will be derived.
INDIVIDUAL, ORGANIZATION, UNKNOWN The reasons for the matchlist entry. These codes will translate to configured description strings.
The reason code for the matchlist entry. This code will be translated to a configured description string. Supported codes are 1 to 24 characters long, consisting only of uppercase letters (A-Z), digits (0-9), underscores (_), or hyphens (-), with no spaces or special characters.
^[A-Z0-9_-]{1,24}$Show child attributes
Show child attributes
Was this page helpful?